darcs

Issue 2227 trying to recontext rebase without rebase patch at head (not match)

Title trying to recontext rebase without rebase patch at head (not match)
Priority bug Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List ganesh, kowey
Assigned To
Topics Rebase

Created on 2012-09-01.20:52:04 by kowey, last changed 2013-06-08.21:11:22 by noreply.

Messages
msg16038 (view) Author: kowey Date: 2012-09-01.20:52:03
1. Summarise the issue (what were doing, what went wrong?)

don't really remember
I think I have a rebase in progress with 0 patches (huh?)
and I was trying to amend

2. What behaviour were you expecting instead?

my amend to work

3. What darcs version are you using? (Try: darcs --exact-version)

2.9.4
msg16039 (view) Author: ganesh Date: 2012-09-01.21:03:00
Sorry, I think I already realised this bug existed but hadn't got round 
to checking/writing a test case/fixing.

The scenario would be:

1) have a rebase in progress
2) do something that isn't rebase and isn't amend-record, e.g. pull in 
or record a new patch
3) now try to amend-record something

not sure about the rebase in progress with 0 patches aspect though.
msg16345 (view) Author: ganesh Date: 2012-11-11.18:19:22
Definitely a bug: I think it happens with any rebase in progress if you 
first pull some patches in then do an amend-record.
msg16841 (view) Author: noreply Date: 2013-06-08.21:11:21
The following patch sent by Ganesh Sittampalam <ganesh@earth.li> updated issue issue2227 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2227: move the rebase patch to the end before an amend-record 
Ignore-this: b3626bf0607894741568534b97ddd2ba
History
Date User Action Args
2012-09-01 20:52:04koweycreate
2012-09-01 21:03:01ganeshsetmessages: + msg16039
2012-11-11 18:19:25ganeshsetstatus: unknown -> needs-implementation
nosy: + ganesh
topic: + Rebase
messages: + msg16345
milestone: 2.10.0 HEAD
2013-02-16 14:51:18koweysetpriority: bug
2013-06-08 21:11:22noreplysetstatus: needs-implementation -> resolved
messages: + msg16841
resolvedin: 2.10.0 HEAD